
local repair_pack_default_item = data.raw["repair-tool"]["repair-pack"]

local repair_pack_base_speed      = repair_pack_default_item.speed
local repair_pack_base_durability = repair_pack_default_item.durability

local AdvancedRepairPack = 
{
    {
        type = "repair-tool",
        name = "advanced-repair-pack",
        icon = "__Compact_Factory__/graphics/advanced_repair_pack/advanced-repair-pack-icon.png",
        based_on = repair_pack_default_item,
        order = "b[repair]-a[repair-pack][2]",
        speed = repair_pack_base_speed * 2,
        durability = repair_pack_base_durability * 2,
    },
    {
        type = "recipe",
        name = "advanced-repair-pack",
        enabled = false,
        ingredients =
        {
            {"repair-pack", 4},
            {"advanced-circuit", 1},
            {"steel-plate", 1},
        },
        result = "advanced-repair-pack",
    },
}

data_extend(AdvancedRepairPack)

-- Bugs out the game, it's here just for me as a template, do not use !     (waiting for the API implementation)
--data.raw["construction-robot"]["construction-robot"].repair_pack = { "repair-pack", "advanced-repair-pack" }
